> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign a pick

> Assign a pick

### Path parameters

<ParamField path="id" type="string" required>
  Pick task ID
</ParamField>

### Request body

`AssignTaskRequest`

<ParamField body="assigned_to" type="string" required />

### Responses

<ResponseField name="200" type="PickTaskResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/fulfillment/picks/{id}/assign' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "assigned_to": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "assigned_to": null,
    "created_at": "string",
    "id": "string",
    "order_id": "string",
    "quantity_picked": "string",
    "quantity_requested": "string",
    "quantity_short": "string",
    "sku": "string",
    "source_location_id": 1,
    "status": "string",
    "warehouse_id": 1,
    "wave_id": null
  }
  ```
</ResponseExample>
